
TYPO3 Flow Base Distribution - Task # 34875

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category:
Created: 2012-03-15 Assigned To: Karsten Dambekalns
Updated: 2012-06-25 Due date:
Subject: Clean up code (style)
Description

There are a number of glitches in coding style and cleanliness, like leading backslashes in use statements, unused variables, wrong
code documentation…

Related issues:
related to TYPO3.Flow - Bug # 35298: filename spelling inconsistent in the pr... Resolved 2012-03-28

Associated revisions
Revision 8cb33270 - 2012-03-15 11:27 - Karsten Dambekalns

[TASK] Fixes code style

Change-Id: I4a8dadb466a00e536a804aed42af7209c8450b2b
Related: #34875
Releases: 1.1

Revision 82bee4c7 - 2012-03-15 11:29 - Karsten Dambekalns

[TASK] Fixes code style

Change-Id: I94a68dccf8ce17b265d06780d653744c45427961
Related: #34875
Releases: 1.1

Revision 1162fb48 - 2012-03-15 11:29 - Karsten Dambekalns

[TASK] Fixes code style

Change-Id: Icc19e43460194988bccd36cbc25e2eaeff72de0c
Related: #34875
Releases: 1.1

Revision c523847f - 2012-03-15 11:32 - Karsten Dambekalns

[TASK] Fixes code style

Change-Id: I20c1c7b45931b27b05e874030d044bdcdc033fb2
Related: #34875
Releases: 1.1
Revision 5d0bff83 - 2012-03-15 11:34 - Karsten Dambekalns

[TASK] Fixes code style

Change-Id: I7bfd9194305f7cabf99974a16c5aa068c9901ae1
Related: #34875
Releases: 1.1

Revision fc55d08b - 2012-03-15 11:35 - Karsten Dambekalns

[TASK] Fixes code style

Change-Id: Id19391a4f8d4c30c35edf6ab050f347a7d44c18e
Related: #34875
Releases: 1.1

Revision 4db9ec9e - 2012-03-15 11:36 - Karsten Dambekalns

[TASK] Fixes code style

Change-Id: I6c96d689d0cea7f6540bfd28103c9cf8721c62d6
Related: #34875
Releases: 1.1

Revision df66b8f7 - 2012-03-15 11:37 - Karsten Dambekalns

[TASK] Fixes code style

Change-Id: I776cb8344d6b78be18b9e8e267c22549b73df954
Related: #34875
Releases: 1.1

Revision edc73d2f - 2012-03-20 21:12 - Karsten Dambekalns

[TASK] Fixes a wrong return type annotation

Related: #34875
Releases: 1.1

Change-Id: If77577602dd0cc268789c115f9ae628ab87d1f5a

Revision fafc62ef - 2012-04-20 13:55 - Karsten Dambekalns

Fixes code style issues

This change adds a ton of @throws to docblocks and fixes other
documentation issues. Some code cleanup, like removing unused
variables and tweaking use statements is done as well.
Change-Id: I6f6a9136e38cdb1239a102b81b934603831342d7
Related: #34875
Releases: 1.1

Revision 5ddf5140 - 2012-04-25 22:02 - Karsten Dambekalns

[TASK] Tweak doc comments to be more explanatory

Change-Id: Ibc7f86a28451a47b47324008b37d580e4593e7bb
Related: #34875
Releases: 1.1

Revision 08924c0c - 2012-04-25 23:21 - Karsten Dambekalns

[!!!][FEATURE] Make cache backends more flexible

This change makes cache backends more flexible. It adds a new interface
"TaggableBackendInterface" and a new "SimpleFileBackend". The latter
does not support tagging but is faster in certain cases (where with a
lot of tags/entries flushing everything is faster than flushing by tag).

If you have implemented a cache backend and support tagging, you must
add the "TaggableBackendInterface" to the list of interfaces implemented
by your backend.

In addition this change makes the PDO backend a little more robust and
resolves some code style issues.

Resolves: #36563
Related: #34875
Extbase Issue: #36564
Releases: 1.1

Change-Id: I2b6c315493e983c50572026c1605ae5ad4099284

Revision 0cae2267 - 2012-05-16 15:03 - Karsten Dambekalns

[TASK] Clean up some coding style issues

Add spaces to "){"

Change-Id: Ia9e9bd039f0eb365b8ab7636b4860c29698da5e0
Related: #34875
Releases: 1.1, 1.2

Revision 1a688404 - 2012-05-16 15:17 - Karsten Dambekalns

[TASK] Clean up some coding style issues
Add spaces to "){" and to "foreach(", fixes some docblocks and
indentation. Also avoids a possible uninitialised variable warning.

Change-Id: I83aa525f18820ad2451b338fac4aeddf583e15bc
Related: #34875
Releases: 1.1, 1.2

Revision bca7ade0 - 2012-05-16 15:20 - Karsten Dambekalns

[TASK] Clean up some coding style issues

Add spaces to "){" and to "foreach(", fixes some docblocks and
indentation. Also avoids a possible uninitialised variable warning.

Change-Id: I6dbdebcfb6d15089e143041ca6b616e4aaebf03d
Related: #34875
Releases: 1.1, 1.2

Revision 7ddab647 - 2012-05-16 15:34 - Karsten Dambekalns

[TASK] Clean up some coding style issues

Add space to "foreach(".

Change-Id: I37cfc2fc6c053078f0713ed34c699dd3e47e05e2
Related: #34875
Releases: 1.1, 1.2

Revision 6445053e - 2012-05-16 15:34 - Karsten Dambekalns

[TASK] Clean up some coding style issues

Add space to "foreach(".

Change-Id: I6e1c07b8de8eaf2659fcd91f639787aec13c0bdc
Related: #34875
Releases: 1.1, 1.2

Revision 3473e746 - 2012-05-22 14:16 - Karsten Dambekalns

[TASK] Clean up some coding style issues

Add space to "foreach(".

Change-Id: Ib61efcd40f65ebc8987320fa6d3b9fdceecb69f1
Related: #34875
Releases: 1.1, 1.2
Revision 93a8b37e - 2012-05-23 10:43 - Aske Ertmann 

[TASK] Annotation cleanup for http response __toString method

Change-Id: I7bff62f533c423171dfd2cbbacfc3fd2d63f3b6c
Related: #34875
Releases: 1.1, 1.2

Revision a2e8c455 - 2012-05-23 10:46 - Aske Ertmann 

[TASK] Annotation cleanup for http response __toString method

Change-Id: Ice5a051816fad27a4a09be77a9d7d08d3e0f879c
Related: #34875
Releases: 1.1, 1.2

Revision c6fa1ba5 - 2012-05-25 12:44 - Karsten Dambekalns

[TASK] Remove debug output in log on configuration changes

Change-Id: I52db8df0c1dabc9d21a37d9ebe2a56e47b53a164
Related: #34875
Releases: 1.1, 1.2

Revision cec2133b - 2012-05-29 10:58 - Karsten Dambekalns

[TASK] Remove debug output in log on configuration changes

Change-Id: I52db8df0c1dabc9d21a37d9ebe2a56e47b53a164
Related: #34875
Releases: 1.1, 1.2

Revision bb514fda - 2012-05-30 17:39 - Karsten Dambekalns

[TASK] Clean up some coding style issues

Add spaces to "){"

Change-Id: Iacbb331e8479a5d8b69648d26f7ec7afa1abde61
Related: #34875
Releases: 1.1, 1.2

Revision 1ff13c47 - 2012-05-30 17:40 - Karsten Dambekalns

[TASK] Clean up some coding style issues

Add space to "foreach(".
Change-Id: Ic79c73ae41c3c4615d4d3121822d8d49033f266b
Related: #34875
Releases: 1.1, 1.2

Revision 8d04ec57 - 2012-06-18 22:51 - Karsten Dambekalns

[TASK] Code cleanup

Tweaks a single constructor docblock.

Change-Id: Ifc95ef2b97e992f0f1d49eb9c5d65769d710af7d
Related: #34875
Releases: 1.1, 1.2

Revision ac08ac51 - 2012-06-18 22:51 - Karsten Dambekalns

[TASK] Code cleanup

Tweaks a single constructor docblock.

Change-Id: Ifc95ef2b97e992f0f1d49eb9c5d65769d710af7d
Related: #34875
Releases: 1.1, 1.2

Revision 57f4099b - 2012-06-18 22:54 - Karsten Dambekalns

[TASK] Code cleanup

Does cleanup to code documentation.

Change-Id: I02205decfa52b5e90ee26ca38500ddbf4fa6390b
Related: #34875
Releases: 1.1, 1.2

Revision d6228bac - 2012-06-18 22:54 - Karsten Dambekalns

[TASK] Code cleanup

Does cleanup to code documentation.

Change-Id: I02205decfa52b5e90ee26ca38500ddbf4fa6390b
Related: #34875
Releases: 1.1, 1.2

Revision ad4ed841 - 2012-06-18 23:20 - Karsten Dambekalns

[TASK] Code cleanup
Does code cleanup, mostly to documentation, but also tweaks
unused variables, missing return statements and similar things.

Change-Id: Ia2452040702fd89803ed14a53cb8618b4a44bdd1
Related: #34875
Releases: 1.1, 1.2

Revision 02647e4d - 2012-06-21 10:48 - Karsten Dambekalns

[TASK] Code cleanup

Does code cleanup, mostly to documentation, but also tweaks
unused variables, missing return statements and similar things.

Change-Id: I86e06d75ec2fea86b37f1285394b0f041974319e
Related: #34875
Releases: 1.1, 1.2

Revision edd10b4d - 2012-06-21 11:23 - Karsten Dambekalns

[TASK] Code cleanup

Does code cleanup, mostly to documentation, but also tweaks
unused variables, missing return statements and similar things.

Change-Id: Ia2452040702fd89803ed14a53cb8618b4a44bdd1
Related: #34875
Releases: 1.1, 1.2

Revision 3128201c - 2012-06-22 16:02 - Karsten Dambekalns

[TASK] Code cleanup

Does code cleanup, mostly to documentation, but also tweaks
unused variables, missing return statements and similar things.

Change-Id: I86e06d75ec2fea86b37f1285394b0f041974319e
Related: #34875
Releases: 1.1, 1.2

Revision 1355fcd7 - 2012-06-27 15:34 - Karsten Dambekalns

[BUGFIX] Fix wrong check in atomic writes code

Fixes a wrong check in Cache\FileBackend and RsaWalletServicePhp
as well as a bunch of one-line if blocks.

Change-Id: Ice9f39bd2912e5af7cfe1aa73b7315c54ddaafa5
Fixes: #27989
Related: #34875
Releases: 1.1, 1.2

Revision 3664972e - 2012-06-27 15:36 - Karsten Dambekalns

[BUGFIX] Fix wrong check in atomic writes code

Fixes a wrong check in Cache\FileBackend and RsaWalletServicePhp
as well as a bunch of one-line if blocks.

Change-Id: Ice9f39bd2912e5af7cfe1aa73b7315c54ddaafa5
Fixes: #27989
Related: #34875
Releases: 1.1, 1.2

Revision e4fbaad0 - 2012-07-05 15:34 - Karsten Dambekalns

[TASK] Add documentation to annotation classes

Change-Id: I8168b01f00e38ffdc5e306d7ef6d01af704ede52
Related: #38669
Related: #34875
Releases: 1.1, 1.2

Revision d57781ab - 2012-07-09 15:06 - Karsten Dambekalns

[TASK] Clean up some code

Fixes some comments, style issues and API usage.

Change-Id: I124c211ea218f8ffcad791bcc9eca2403f10b55f
Related: #37574
Related: #34875
Releases: 1.1, 1.2

Revision 8e393d38 - 2012-07-10 12:34 - Karsten Dambekalns

[TASK] Clean up some code

Fixes some comments, style issues and API usage.

Change-Id: I124c211ea218f8ffcad791bcc9eca2403f10b55f
Related: #37574
Related: #34875
Releases: 1.1, 1.2

Revision f406f7c9 - 2012-07-10 15:58 - Karsten Dambekalns
[TASK] Some code cleanup, CSRF settings documentation

Does some code (style) cleanup and adds descriptions for CSRF
options in Settings.yaml.

Change-Id: Ife5d321e7847cb39bc1a6f1e6e56f2df969e2892
Related: #34875
Releases: 1.2

Revision 51a4e2c9 - 2012-07-12 15:06 - Karsten Dambekalns

[TASK] Add documentation to annotation classes

Change-Id: I8168b01f00e38ffdc5e306d7ef6d01af704ede52
Related: #38669
Related: #34875
Releases: 1.1, 1.2

History
#1 - 2012-03-19 10:54 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#2 - 2012-05-25 09:40 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 RC1

#3 - 2012-06-25 15:26 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

2015-08-03 9/9


